Base URL
The Minimo API is served from two base URLs, depending on the endpoint:
Example Endpoints:
All requests must use HTTPS. HTTP requests will be rejected.
New endpoints are being progressively migrated to
api.minimo.it. Each endpoint’s documentation page specifies the
correct base URL.Request Format
Content Type
All POST, PUT, and PATCH requests must include theContent-Type header:
Request Body
Request bodies should be valid JSON:Response Format
Success Response
Successful requests return appropriate HTTP status codes and JSON responses: Example (200 OK):Error Response
Errors return a consistent structure:code: Machine-readable error identifiermessage: Human-readable error descriptiondetails: Additional context (optional)
HTTP Status Codes
The Minimo API uses standard HTTP status codes:Common Error Codes
Pagination
List endpoints support pagination using query parameters:Parameters
page: Page number (default:1)limit: Items per page (default:25, max:100)
Example Request
Response Structure
page: Current page numberlimit: Items per pagetotal: Total number of itemstotalPages: Total number of pageshasNext: Whether there’s a next pagehasPrevious: Whether there’s a previous page
Filtering & Sorting
Filtering (Coming Soon)
Some endpoints support filtering using query parameters:Sorting (Coming Soon)
Use thesort parameter to order results:
Timestamps
All timestamps are returned in ISO 8601 format (UTC):Idempotency
Some endpoints support idempotency keys to prevent duplicate operations:Rate Limiting
Headers
All responses include rate limit information:X-RateLimit-Limit: Maximum requests per windowX-RateLimit-Remaining: Requests remaining in current windowX-RateLimit-Reset: Unix timestamp when limit resets
Handling Rate Limits
When you exceed the rate limit, you’ll receive a429 Too Many Requests response:
- Monitor
X-RateLimit-Remainingheader - Implement exponential backoff
- Respect the
Retry-Afterheader value - Cache responses when possible
Versioning
The current API version is v1.- New API (
api.minimo.it): The version prefix/v1/is required in all paths. - Legacy API (
app.minimo.it): Paths use the/api/prefix without version number.
CORS (Cross-Origin Requests)
The Minimo API supports CORS for client-side requests. However, we recommend making API calls from your server to keep API keys secure. Allowed origins are configurable per API key in your dashboard settings.Webhooks (Coming Soon)
Minimo will support webhooks for real-time event notifications:- Message delivered
- Message failed
- Contact created/updated
- Template approved/rejected
Testing
Test Mode (Coming Soon)
Use test mode to experiment without affecting production data:mn-test- prefix.
Need Help?
If you encounter unexpected behavior or have questions about API conventions:- Email: info@minimo.it
- Check API Status for known issues